/*
delay() example

This is a demo of inserting a delay using millis() after a button press.

This example code is in the public domain.

written 04/28/2024 by Andres Torres
http://bentsprockettech.com/
*/

#include <Pushbutton.h>

#define LED_BUILTIN 13
#define BTN_PIN 8

Pushbutton button(BTN_PIN);

int secs = 1000 * 6;
float current = 1000;
 
void setup() {
  // initialize pins
  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(BTN_PIN, INPUT);
  Serial.begin(9600);
}

// the loop function runs over and over again forever
void loop() {
  do{

  }while(!button.isPressed());
  
  delay(2000);
  digitalWrite(LED_BUILTIN, HIGH);  // turn the LED on (HIGH is the voltage level)
  
  current = millis();
  do{
      if(button.isPressed()){
        goto bailout;
      }
      Serial.print(current + secs); Serial.print(" "); Serial.println(millis());
  }while(millis() < current + secs);

  bailout:

  digitalWrite(LED_BUILTIN, LOW);   // turn the LED off by making the voltage LOW
  delay(2000);                      // wait for a second
}
